Summary:	X.org input driver for Synaptics and ALPS touchpads
Summary(pl.UTF-8):	Sterownik wejściowy X.org do touchpadów Synaptics oraz ALPS
Name:		xorg-driver-input-synaptics
Version:	1.7.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/archive/individual/driver/xf86-input-synaptics-%{version}.tar.bz2
# Source0-md5:	5e4f232a18a1741e4c34895d28238f8d
URL:		http://xorg.freedesktop.org/
BuildRequires:	mtdev-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libXi-devel >= 1.2
BuildRequires:	xorg-lib-libXtst-devel >= 1.0.99.1
BuildRequires:	xorg-proto-inputproto-devel >= 2.1.99.3
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-recordproto-devel
BuildRequires:	xorg-util-util-macros >= 1.13
BuildRequires:	xorg-xserver-server-devel >= 1.12
Requires:	xorg-lib-libXi >= 1.2
Requires:	xorg-lib-libXtst >= 1.0.99.1
Requires:	xorg-xserver-server >= 1.12
%{?requires_xorg_xserver_xinput}
Obsoletes:	X11-input-synaptics
Obsoletes:	X11-synaptics
Obsoletes:	XFree86-input-synaptics
Obsoletes:	xorg-app-synaptics
ExcludeArch:	sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Synaptics touchpads.

%description -l pl.UTF-8
Sterownik wejściowy X.org do touchpadów Synaptics.

%package devel
Summary:	Header file for synaptics driver
Summary(pl.UTF-8):	Plik nagłówkowy sterownika synaptics
Group:		Development/Libraries

%description devel
Header file for synaptics driver.

%description devel -l pl.UTF-8
Plik nagłówkowy sterownika synaptics.

%prep
%setup -q -n xf86-input-synaptics-%{version}

%build
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/input/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/synclient
%attr(755,root,root) %{_bindir}/syndaemon
%attr(755,root,root) %{_libdir}/xorg/modules/input/synaptics_drv.so
%{_datadir}/X11/xorg.conf.d/50-synaptics.conf
%{_mandir}/man1/synclient.1*
%{_mandir}/man1/syndaemon.1*
%{_mandir}/man4/synaptics.4*

%files devel
%defattr(644,root,root,755)
%{_includedir}/xorg/synaptics-properties.h
%{_pkgconfigdir}/xorg-synaptics.pc
%changelog
* Tue Apr 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 54ae8d0
- updated xserver version, BR: randrproto

* Tue Apr 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e94ddde
- up to 1.7.0

* Wed Mar 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fd1afa5
- rel 2

* Fri Feb 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 170f951
- up to 1.6.3

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 49ee891
- release 2 (by relup.sh)

* Wed Jun 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 1bbc886
- updated to 1.6.2

* Fri May 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 28d2088
- up to 1.6.1

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 50ffa2c
- up to 1.6.0

* Tue May 01 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 45a4d5a
- up to 1.5.99.904

* Mon Mar 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 121f48d
- BR: recordproto

* Fri Mar 23 2012 lmasko <lmasko@pld-linux.org> a77aa22
-- Up to 1.5.99.902 (1.6 RC2).

* Wed Mar 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 6feb157
- bumped inputproto and xserver deps to ensure MT support is built

* Wed Mar 14 2012 lmasko <lmasko@pld-linux.org> 8f4c88e
- Up to 1.5.99.901 - builds with xserver 1.12.0.

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7edeaa2
- release 2

* Wed Sep 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 810533c
- updated util-macros version

* Fri Sep 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fc015cd
- up to 1.5.0

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fe7227f
- release 2

* Wed Jun 29 2011 Jakub Bogusz <qboosh@pld-linux.org> 9a7ed76
- updated to 1.4.1

* Sat Jun 25 2011 Łukasz Kieś <kiesiu@pld-linux.org> 62040b0
- reverted to 1.4.0 on HEAD

* Sat Jun 25 2011 Łukasz Kieś <kiesiu@pld-linux.org> e0288ea
- updated to 1.4.0.901

